<!--#include file="../Include/Conn.jsp" -->
<!--#include file="../Include/const.jsp" -->
<!--#include file="../Include/char.jsp" -->
<!--#include file="../Include/function.jsp" -->
<%
f_id=request("id")
 if f_id="" or IsNumeric(f_id)=false then
 Call Msgbox("对不起，ID号错误！",1)
 Response.end
 end if
 m_ID = Request.Cookies("aspxnet")("CurUserID")
 m_username= Request.Cookies("aspxnet")("CurUsername")
set rs_a=server.createobject("adodb.recordset")
sql_a="select * from t_club where F_id="&f_id
rs_a.open sql_a,conn,1,3

if rs_a.eof then
 Call Msgbox("对不起，该小圈子已经不存在！",1)
 Response.end
end if
'小圈子人气值设定 (防止刷新）
if session("hit")<>rs_a("f_id") then
rs_a("f_hit")=rs_a("f_hit")+1
rs_a.update
session("hit")=rs_a("f_id")
end if
%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3c.org/TR/1999/REC-html401-19991224/loose.dtd">
<HTML xmlns="http://www.w3.org/1999/xhtml"><HEAD><TITLE>小圈子-<%=rs_a("f_name")%></TITLE>
<META http-equiv=Content-Type content="text/html; charset=gb2312"><LINK 
href="css/my_index.css" type=text/css rel=stylesheet>
<SCRIPT language=JavaScript>

function copycode() {
  var tempval=eval("document.all.code");
  tempval.focus();
  tempval.select();
  therange=tempval.createTextRange();
  therange.execCommand("Copy");
  alert("\n网址已经拷贝到你的剪贴板上了！\n\n请按Ctrl+V将其粘贴发给你的朋友。");
}

</SCRIPT>

<SCRIPT>
<!--
function SenFe_Code(sname,sid)
{
	if(sid.style.display=="block")
	{
		sid.style.display="none";
		sname.innerText="＋管理";
	}
	else
	{
	sid.style.display="block";
	sname.innerText="－管理";
	}
}
-->
</SCRIPT>

<STYLE type=text/css>.STYLE1 {
	COLOR: #cccccc
}
.STYLE2 {
	COLOR: #999999
}
</STYLE>

<META content="MSHTML 6.00.2800.1555" name=GENERATOR></HEAD>
<BODY><!--Top start-->
<DIV id=top>
<DIV id=logo><A href="QQ_index.jsp"><IMG alt=小圈子 
src="img/my_logo.gif"></A></DIV>
<DIV id=banner><!--广告位置--></DIV>
<H1><A href="<%
a=request.servervariables("server_name")
b=request.servervariables("script_name")
c=Request.ServerVariables("QUERY_STRING")
if c="" then
d="http://"&a&b
else
e="?"&c
d="http://"&a&b&e
end if 
Response.Write d
%>"><%=rs_a("f_name")%></A></H1>
<H2></H2>
<H3><A href="<%
a=request.servervariables("server_name")
b=request.servervariables("script_name")
c=Request.ServerVariables("QUERY_STRING")
if c="" then
d="http://"&a&b
else
e="?"&c
d="http://"&a&b&e
end if 
Response.Write d
%>">告诉朋友</A> <A 
href="QQ_search.jsp">搜索小圈子</A> <A 
href="login.jsp"><IMG 
src="img/my_logbot.gif"></A> </H3></DIV><!--Top end--><!--Nav start-->
<DIV id=nav>
<%if m_username=rs_a("f_manage_username") then%><b><a href="#"><span OnClick="SenFe_Code(this,SenFe_8);">+管理</span></a></b><%end if%>
<A href="club_viewsub.jsp?id=<%=rs_a("f_id")%>">首页</A> | <A 
href="QQ_clubploy.jsp?id=<%=rs_a("f_id")%>">活动</A> | <A 
href="club_photolist.jsp?id=<%=rs_a("f_id")%>">相册</A> | <A 
href="club_usersub.jsp?id=<%=rs_a("f_id")%>">成员</A></DIV>
<div id="SenFe_8" style="display:none;">
&nbsp;&nbsp;[<a href="club_editsub.jsp?id=<%=rs_a("f_id")%>">小圈子设定</a>]&nbsp;&nbsp;[<a href="club_usermanage.jsp?id=<%=rs_a("f_id")%>">会员管理</a>]&nbsp;&nbsp;[<a href="club_meetmanage.jsp?id=<%=rs_a("f_id")%>">活动管理</a>]&nbsp;&nbsp;[<a href="club_photomanage.jsp?id=<%=rs_a("f_id")%>">照片管理</a>]&nbsp;&nbsp;[<a href="club_boardmanage.jsp?id=<%=rs_a("f_id")%>">公告管理</a>]
</div> <!--Nav end--><!--Contain start-->
<DIV id=contain>
<ADDRESS>小圈子地址:<INPUT id=code 
style="FONT: 9pt Arial; WIDTH: 370px; COLOR: #004897; BORDER-TOP-STYLE: none; BORDER-RIGHT-STYLE: none; BORDER-LEFT-STYLE: none; BACKGROUND-COLOR: #edffff; BORDER-BOTTOM-STYLE: none" 
value=<%
a=request.servervariables("server_name")
b=request.servervariables("script_name")
c=Request.ServerVariables("QUERY_STRING")
if c="" then
d="http://"&a&b
else
e="?"&c
d="http://"&a&b&e
end if 
Response.Write d
%> name=code><A 
style="CURSOR: pointer" onclick=copycode()>复制</A> | <A 
href="javascript:window.external.addFavorite('<%
a=request.servervariables("server_name")
b=request.servervariables("script_name")
c=Request.ServerVariables("QUERY_STRING")
if c="" then
d="http://"&a&b
else
e="?"&c
d="http://"&a&b&e
end if 
Response.Write d
%>','小圈子');">收藏</A></ADDRESS><!--资料 start-->
<DIV class=rim>
<H2><B onclick=SenFe_Code(this,SenFe_1); href="#">－</B> 小圈子资料</H2>
<DIV id=SenFe_1 style="DISPLAY: block">
<DIV id=groupinfo>
  <img 
style="BORDER-RIGHT: #ccc 1px solid; PADDING-RIGHT: 1px; BORDER-TOP: #ccc 1px solid; PADDING-LEFT: 1px; LEFT: 8px; PADDING-BOTTOM: 1px; BORDER-LEFT: #ccc 1px solid; WIDTH: 130px; PADDING-TOP: 1px; BORDER-BOTTOM: #ccc 1px solid; POSITION: absolute; TOP: 30px; HEIGHT: 100px" 
src="<%=rs_a("f_photo")%>">
  <DL>
  <DT><SPAN>小圈子名:</SPAN><%=rs_a("f_name")%> （<%=rs_a("f_regtime")%>） <%
					if m_username=rs_a("f_manage_username") then
					%><input type="button" name="Submit" value="修改本俱乐部" onClick="javascript:location.href='club_editsub.jsp?id=<%=rs_a("f_id")%>'">
						  <%
						  end if
						  %> 
  <DD><SPAN>成员:</SPAN><%=rs_a("f_usercount")%> 
  <DD><SPAN>留言:</SPAN><%=rs_a("f_clubbook")%> 
  <DD><SPAN>活动:</SPAN><%=rs_a("f_clubactive")%> 
  <DD><SPAN>照片:</SPAN><%=rs_a("f_clubphoto")%>
  <DD><SPAN>创始人:</SPAN><a href="club_member.jsp?username=<%=rs_a("f_username")%>" target="_blank"><%=rs_a("f_username")%></a> 
  <DD><SPAN>圈主:</SPAN><a href="club_member.jsp?username=<%=rs_a("f_manage_username")%>" target="_blank"><%=rs_a("f_manage_username")%></a> 
  <DD><SPAN>区域:</SPAN> <%=rs_a("f_area")%> 
  <DD><SPAN>小圈子说明:</SPAN><%=HTMLEncode(rs_a("f_content"))%>
  <P></P>

  <DD class=center><BUTTON class=bot1 title=发起活动 
  onclick="location.href='club_meetmanage.jsp?id=<%=rs_a("f_id")%>'">发起活动</BUTTON><BUTTON 
  class=bot1 title=上传照片 
  onclick="location.href='club_photomanage.jsp?id=<%=rs_a("f_id")%>'">上传照片</BUTTON> </DD></DL>
<P id=invite><A title="&#13;&#10;&#9;&#9;&#9;&#9;&#9;加入圈子" 
href="club_addmember.jsp?id=<%=rs_a("f_id")%>" onClick="return confirm('您确定要加入这个圈子吗？')"><IMG 
src="img/my_manage.gif"></A> </P></DIV>
<DIV class=rim1 id=board>
<H6>小圈子公告</H6>
<MARQUEE onmouseover=stop() onmouseout=start() scrollAmount=2 direction=up><%
			set rs_g=server.createobject("adodb.recordset")
			sql_g="select f_username,f_content,f_regtime from t_club_board where f_club_id="&rs_a("f_id")&" order by f_regtime desc"
			rs_g.open sql_g,conn
			if not rs_g.eof then
			do while not rs_g.eof			
			%><SPAN 
class=STYLE1><SPAN class=STYLE2>时间：<%=rs_g("f_regtime")%></SPAN><BR></SPAN><SPAN 
class=STYLE2>发布者：<A href="club_member.jsp?username=<%=rs_g("f_username")%>"><SPAN 
class=STYLE2><%=rs_g("f_username")%></A></SPAN><BR><%=rs_g("f_content")%></SPAN> <%
			rs_g.movenext
			loop
			end if
			rs_g.close
			set rs_g=nothing
			%></MARQUEE></DIV></DIV></DIV><!--资料 end--><!--活动 start-->
<DIV class=rim>
<H2><B onclick=SenFe_Code(this,SenFe_2); href="#">－</B> 小圈子活动</H2>
<DIV id=SenFe_2 style="DISPLAY: block">
<DIV id=groupclub>
<UL><%
	  set rs_c=server.createobject("adodb.recordset")
	  sql_c="select f_id,f_title,f_endtime from t_club_meet where f_club_id="&rs_a("f_id")&"  order by f_regtime desc"
  rs_c.open sql_c,conn,1,3
do while not rs_c.eof		
	  %>
  <LI><A title="<%=rs_c("f_title")%>" href="club_lookmeet.jsp?id=<%=rs_a("f_id")%>&meetid=<%=rs_c("f_id")%>"><%=rs_c("f_title")%>  <%if rs_c("f_endtime")< now() then%><font class=red>(已过期)</font><%end if%></a> 
  </LI>
 <% 
	  rs_c.movenext
	  loop
	  rs_c.close
	  set rs_c=nothing
	  %>
  </UL>
<DL> </DL>
<P class=center></P></DIV></DIV></DIV><!--活动 end--><!--帖子 start-->
<DIV class=rim>
<H2><B onclick=SenFe_Code(this,SenFe_3); href="#">－</B> 小圈子留言</H2>
<DIV id=SenFe_3 style="DISPLAY: block">
<DIV id=grouppost>
<DL>
 <%
					dim PerPage
					set rs_c=server.createobject("adodb.recordset")
					sql_c="select * from t_club_meetbook where f_club_id="&rs_a("f_id")&" order by f_regtime desc"
					rs_c.open sql_c,conn,1,1
					'flag="尚未处理"
                    PerPage=10
				
                   '假如没有数据时
                 ' If rs_c.eof and rs_c.bof then
                  ' response.write "<p align='center'><font color='#ff0000'>还没任何</font></p>"
                 ' response.end
                 ' End if
					'取得页数,并判断用户输入的是否数字类型的数据，如不是将以第一页显示
                    text="0123456789"
                    Rs_c.PageSize=PerPage
					
                    for i=1 to len(request("page"))
                    checkpage=instr(1,text,mid(request("page"),i,1))
                    if checkpage=0 then
                    exit for
                    end if
                    next

                  If checkpage<>0 then
                  If NOT IsEmpty(request("page")) Then
                  CurrentPage=Cint(request("page"))
                  If CurrentPage < 1 Then CurrentPage = 1
                  If CurrentPage > Rs_c.PageCount Then CurrentPage = Rs_c.PageCount
                  Else
                  CurrentPage= 1
                  End If
                 If not Rs_c.eof Then Rs_c.AbsolutePage = CurrentPage end if
                 Else
                 CurrentPage=1
                 End if					
				%>
  <DT>
  <P class=post1>主题</P>
  <P class=post2>作者</P>
  <P class=post3>发表时间</P><P class=post4></P></DT>
  	  <%
if not rs_c.eof then
i=0
do while not rs_c.eof
%>
  <DD class=dd1>
  <P class=post1> <%= LoseHtml(rs_c("F_Content"))%></P>
  <P class=post2><a href="club_member.jsp?username=<%=rs_c("f_username")%>" target="_blank"><%=rs_c("f_username")%></a></P>
  <P class=post3><%=rs_c("f_regtime")%> <%	if m_username=rs_a("f_manage_username") then
			%>
            <a href="club_delguest.jsp?g_id=<%=rs_c("f_id")%>&id=<%=rs_a("f_id")%>"><img src="img/del.gif" width="12" height="12" border="0" alt="删除留言"></a> 
            <%
           end if
			%></P><P class=post4></P></DD>
			  <%
i=i+1
if i >= Perpage then exit do
rs_c.movenext
loop
end if
%>
  </DL>
 
<DIV class=page>&nbsp;共有 <%=Cstr(rs_c.RecordCount)%> 条留言，共 <%=Rs_c.PageCount%> 页，现在是第 <%=CurrentPage%> 页 </DIV></DIV></DIV></DIV><!--帖子 end--><!--相册 start-->
<DIV class=rim>
<H2><B onclick=SenFe_Code(this,SenFe_4); href="#">－</B> 小圈子相册</H2>
<DIV id=SenFe_4 style="DISPLAY: block">
<DIV id=groupphoto>
<UL>		<%
set rs_p=server.createobject("adodb.recordset")
sql_p="select top 6 f_photo,f_id,f_content from t_club_photo where f_ischeck=1 and F_club_id="&f_id&" order by f_regtime desc"
rs_p.open sql_p,conn
do while not rs_p.eof
%>
  <LI><a href="club_photoview.jsp?id=<%=rs_a("f_id")%>&p_id=<%=rs_p("f_id")%>"><IMG 
  src="<%=rs_p("f_photo")%>"></A> </LI>
  
  <%
rs_p.movenext
loop
rs_p.close
set rs_p=nothing
%>
  </UL></DIV></DIV></DIV><!--相册 end--></DIV><!--Contain end-->
<DIV id=footer><A class=list href="../about/?Para=Intro" target=_blank>关于我们</A> ┊ <A class=list href="../about/?Para=Contact" target=_blank>联系方式</A> ┊ <A class=list href="../about/?Para=Job" target=_blank>招贤纳士</A> ┊ <A class=list href="../about/?Para=AdService" target=_blank>广告服务</A> ┊ <A class=list href="../about/?Para=Cooperate" target=_blank>合作伙伴</A> ┊ <A class=list href="../so/Suggestion.jsp" target=_blank> 留言/投诉</A> ┊ <A class=list href="../about/?Para=Job" target=_blank></A><BR><%=Site_info(5)%></DIV></BODY></HTML>
